# Описание применения charts proxy
**Внимание!**
Этот chart запускается в составе пакета  semnext.
При смене версии chart обязательно требуется внести эту версию в semnext/Chart.yaml

## Настройки файла values.yaml
Глобальные настройки описаны в общей секции semnext

* replicaCount: 1 - можно указать любое кол-во, но больше 1 имеет смысл только при большом кол-ве сессиий
* image.repository: nginx
* image.pullPolicy: IfNotPresent - если не уверены, что образ корректно сопровождается в хранилище, можно поставить Always
* image.tag: 1.15
* containerPorts.http: 8080 - значение не менять, порт используется сервисами semnext

## Использование charts  
Конфигурационный файл proxy индентичен файлу в проекте doker за исключением следующей секции:

```bash
 location / {
        if ($request_uri = "/") {
          return 301 http://$host/semux;
        }
        proxy_pass http://semux-{{ .Release.Name }}.{{ .Release.Namespace }}:8080;
        proxy_set_header Host $host;
        proxy_set_header   X-Real-IP        $remote_addr;
        proxy_set_header   X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_read_timeout 15m;
      }
```

Прокси всегда работает по протоколу http. Поддержка https протокола вынесена в Ingress пакета semnext. В тестовой среде используется только http.
 
